from neuron import h,gui

h.load_file("lifcell.hoc")

cell = h.LIF()

h.load_file("rig.ses") # RunControl, graph of v vs. t, 3 NetStims
  # an ExpSyn configured as ampaergic synapse,
  # an Exp2Syn configured as gabaA synapse,
  # and another Exp2Syn configured as gabaB synapse

exc = h.NetStim[0] # presynaptic cells
inh1 = h.NetStim[1]
inh2 = h.NetStim[2]
ampa = h.ExpSyn[0] # synaptic mechanisms attached to cell.soma(0.5)
gabaa = h.Exp2Syn[0]
gabab = h.Exp2Syn[1]

excnc = h.NetCon(exc, ampa)
excnc.weight[0] = 2.5e-5 # single event produces ~ 1.1 mV epsp
inh1nc = h.NetCon(inh1, gabaa)
inh1nc.weight[0] = 2.0e-4 # single event produces ~ -0.6 mV ipsp
inh2nc = h.NetCon(inh2, gabab)
inh2nc.weight[0] = 1.0e-4 # single event produces ~ -2.5 mV ipsp
